Bug 124610 - scheduled actions to update up2date fail because of code to auto-update up2date
Summary: scheduled actions to update up2date fail because of code to auto-update up2date
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: up2date-rhel3-u3
TreeView+ depends on / blocked
 
Reported: 2004-05-27 21:09 UTC by Adrian Likins
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 01:32:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:367 normal SHIPPED_LIVE Updated up2date packages 2004-08-02 04:00:00 UTC

Description Adrian Likins 2004-05-27 21:09:39 UTC
Description of problem:
have a version of up2date-4.2.18 installed,
schedule an update of a newer package, run rhn_check,


Traceback (most recent call last):
  File "/usr/sbin/rhn_check", line 332, in ?
    handle_action(action)
  File "/usr/sbin/rhn_check", line 209, in handle_action
    (status, message, data) = run_action(method, params)
  File "/usr/sbin/rhn_check", line 164, in run_action
    (status, message, data) = do_call(method, params)
  File "/usr/sbin/rhn_check", line 92, in do_call
    retval = apply(method, params)
  File "/usr/share/rhn/actions/packages.py", line 359, in update
    ret = _catchErrors(batchRun, "packages.update", (0, pkgList))
  File "/usr/share/rhn/actions/packages.py", line 195, in _catchErrors
    ret = apply(method, args)
  File "/usr/share/rhn/actions/packages.py", line 398, in batchRun
    actionPkgs = pkgList)
  File "wrapper.py", line 1066, in batchRun
    batch.run()
  File "up2dateBatch.py", line 61, in run
    self.__selectPackagesToInstall()
  File "up2dateBatch.py", line 147, in __selectPackagesToInstall
    raise up2dateErrors.Up2dateNeedsUpdateError
up2date_client.up2dateErrors.Up2dateNeedsUpdateError

Comment 1 Adrian Likins 2004-05-27 21:12:16 UTC
er, make that 4.2.16 above.

fixed in cvs, in up2date-4.2.17 eventually in dist-3.0E-U3


Comment 2 Jay Turner 2004-08-03 01:32:36 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-367.html



Note You need to log in before you can comment on or make changes to this bug.